<app-loading *ngIf="isLoading"></app-loading>
<div class="action-breadcrumb-float-right">
  <mb-button nz-button mbButtonSize='LARGE' mbButtonAvailableStyle='PRIMARY' (click)="showModal(screenType.create)"
             mbButtonText="{{ 'development.issueLevel.issueView.add' | translate }}">
  </mb-button>
</div>
<nz-table #basicTable id="table" class="ant-table-content data-table"
[nzData]="dataTable"
[nzShowPagination]="false"
[nzPageSize]="pageable.size"
[nzScroll]="{ x: '100%', y: scrollY }">
  <thead>
    <tr>
      <th scope="col" nzWidth="5%" class="text-center">STT</th>
      <th scope="col" nzWidth="15%">{{ 'development.issueLevel.issueView.col.name' | translate }}</th>
      <th scope="col" nzWidth="10%">{{ 'development.issueLevel.issueView.col.sortOrder' | translate }}</th>
      <th scope="col" nzWidth="30%">{{ 'development.issueLevel.issueView.col.approvalTitle' | translate }}</th>
      <th scope="col" nzWidth="30%">{{ 'development.issueLevel.issueView.col.signerTitle' | translate }}</th>
      <th scope="col" nzWidth="10%" class="text-center">
      </th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let item of basicTable.data; let i = index">
      <td class="text-center">{{ i + 1 + params.page * params.size }}</td>
      <td>{{ item.name }}</td>
      <td class="text-center">{{ item.sortOrder }}</td>
      <td nz-tooltip [nzTooltipTitle]="item.approvalTitle" class="text-ellipsis">{{ item.approvalTitle }}</td>
      <td nz-tooltip [nzTooltipTitle]="item.signerTitle" class="text-ellipsis">{{ item.signerTitle }}</td>
      <td class="text-center">
        <em nz-icon nzType="edit" nzTheme="outline" (click)="showModal(screenType.update, item)"></em>
        <em nz-icon nzType="delete" nzTheme="outline" (click)="showDeleModal(item?.code)"></em>
      </td>
    </tr>
  </tbody>
</nz-table>
<div class="pagination" *ngIf="dataTable && (dataTable.length >= 15 || params.page > 0)">
  <div class="pagination__table-info">
    <img alt="" class="pagination__table-info--icon" src="assets/images/icon/idea.svg" />
    <span class="pagination__table-info--text"
      >Tìm thấy {{ pageable.totalElements }} kết quả, hiển thị từ {{ params.page * pageable.size + 1 }} đến
      {{ params.page * pageable.size + dataTable.length }}</span
    >
  </div>
  <nz-pagination
    [nzPageIndex]="pageable.currentPage + 1"
    [nzTotal]="pageable.totalElements"
    [nzPageSize]="pageable.size"
    (nzPageIndexChange)="pageChange($event)"
    class="pagination__icon"
  >
  </nz-pagination>
</div>

<nz-modal
  class="addNew"
  [(nzVisible)]="isVisible"
  nzCentered="true"
  [nzContent]="modalContent"
  [nzFooter]="modalFooter"
  nzTitle="{{ titleModal }}"
  (nzOnCancel)="hideModal()"
  (nzOnOk)="handleOK($event)"
  [nzOkLoading]="isOKLoading"
  nzWidth="50vw"
>
  <ng-template #modalContent class="content">
    <app-issue-dialog [dataCommon]="listTitle" [type]="type" [data]="item"></app-issue-dialog>
  </ng-template>
  <ng-template #modalFooter></ng-template>
</nz-modal>
